> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.whizcozy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server.

# Get Me

GET https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/me

Return the caller's membership context for a firm.

Useful as a firm-scoped bootstrap endpoint.

**Path params**:
- `firm_slug` (string)

**Response**:
- `firm` (object)
- `membership` (object) — includes `role`

**Errors**:
- 401: Missing/invalid token
- 403: Not a member of the firm
- 404: Firm not found

Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/firms/get-me-api-v-1-firms-firm-slug-me-get

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `firm_slug` (string, required)

## Response

### 200

Successful Response

- `data` (FirmMeResponse, required)
- `status` (string, optional, default: success)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### FirmMeResponse

- `firm` (FirmResponse, required)
- `membership` (MembershipResponse, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### FirmResponse

- `id` (integer, required)
- `name` (string, required)
- `slug` (string, required)
- `owner_user_id` (integer, required)
- `contact_email` (string, optional, nullable)
- `contact_phone` (string, optional, nullable)
- `description` (string, optional, nullable)
- `logo_url` (string, optional, nullable)
- `logo_filename` (string, optional, nullable)
- `logo_mime_type` (string, optional, nullable)
- `logo_size` (integer, optional, nullable)

### MembershipResponse

- `id` (integer, required)
- `firm_id` (integer, required)
- `user_id` (integer, required)
- `role` (enum, required) — Role of a user within a Firm (tenant).
  - Allowed values: `owner`, `ca_staff`, `client`
- `priority` (enum, required) — Priority assigned to a firm membership.
  - Allowed values: `LOW`, `NORMAL`, `HIGH`, `CRITICAL`

### ValidationErrorLocItems

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "data": {
    "firm": {
      "id": 1,
      "name": "string",
      "slug": "string",
      "owner_user_id": 1,
      "contact_email": "string",
      "contact_phone": "string",
      "description": "string",
      "logo_url": "string",
      "logo_filename": "string",
      "logo_mime_type": "string",
      "logo_size": 1
    },
    "membership": {
      "id": 1,
      "firm_id": 1,
      "user_id": 1,
      "role": "owner",
      "priority": "LOW"
    }
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/me")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```